%define		module	medusa
Summary:	Framework for writing asynchronous socket-based servers
Summary(pl.UTF-8):	Szkielet do pisania asynchronicznych serwerów opartych na gniazdach
Name:		python-%{module}
Version:	0.5.4
Release:	7
License:	BSD-like (see LICENSE.txt)
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/m/medusa/%{module}-%{version}.tar.gz
# Source0-md5:	5d10505036bc38f8d4cb51d87516e069
URL:		http://www.amk.ca/python/code/medusa.html
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Medusa is an architecture for very-high-performance TCP/IP servers
(like HTTP, FTP, and SMTP). Medusa is different from most other
servers because it runs as a single process, multiplexing I/O with its
various client and server connections within a single process/thread.

%description -l pl.UTF-8
Medusa to architektura dla bardzo wysoko wydajnych serwerów TCP/IP
(jak HTTP, FTP czy SMTP). Medusa od większości innych serwerów różni
się tym, że działa jako pojedynczy proces, zwielokrotniający
wejście/wyjście na różne połączenia klientów i serwerów z poziomu
jednego procesu/wątku.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt TODO.txt CHANGES.txt LICENSE.txt docs
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-medusa.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 27febae
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> efdeee5
- automatic change: use py_build/py_install macros

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 29bf8f6
- modernize python package .spec

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f12422d
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cfc38f3
- release 6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 80472e0
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4217f76
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9b2fede
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09aadc9
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 5377b3f
- rel. 3 to rebuild with python 2.5 (final)

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 22a10cf
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> a023f7c
- release 2 for rebuild with python 2.4

* Sat Nov 27 2004 saq <saq@pld-linux.org> af8b12c
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> df09795
- removed %%include /usr/lib/rpm/macros.python

* Thu Mar 18 2004 radzio <radzio@pld-linux.org> 71499fa
- adapterized

* Tue Mar 16 2004 Jakub Bogusz <qboosh@pld-linux.org> ab36607
- filled License

* Tue Mar 16 2004 Jakub Bogusz <qboosh@pld-linux.org> e9bccf8
- pl

* Tue Mar 16 2004 radzio <radzio@pld-linux.org> 750ce8d
- initial release

